Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List projects

GET/workspaces/{organizationId}/projects
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Projects list

projectsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
namestringrequired
descriptionstring | nullrequired
statusstringrequired
healthstringrequired
Allowed:on_trackat_riskoff_trackpaused
leadIdstring | nullrequired
archivedAtstring | nullrequired
startDatestring | nullrequired
endDatestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/projects' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "projects": [
    {
      "id": "string",
      "organizationId": "string",
      "name": "string",
      "description": "string",
      "status": "string",
      "health": "on_track",
      "leadId": "string",
      "archivedAt": "string",
      "startDate": "string",
      "endDate": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?